rh-php71-php-pgsql-7.1.30-1.el7.x86_64.rpm


Advertisement

Description

rh-php71-php-pgsql - A PostgreSQL database module for PHP

Property Value
Distribution CentOS 7
Repository CentOS SCLo RH Testing x86_64
Package filename rh-php71-php-pgsql-7.1.30-1.el7.x86_64.rpm
Package name rh-php71-php-pgsql
Package version 7.1.30
Package release 1.el7
Package architecture x86_64
Package type rpm
Category Development/Languages
Homepage http://www.php.net/
License PHP
Maintainer -
Download size 93.94 KB
Installed size 179.38 KB
The rh-php71-php-pgsql package add PostgreSQL database support to PHP.
PostgreSQL is an object-relational database management
system that supports almost all SQL constructs. PHP is an
HTML-embedded scripting language. If you need back-end support for
PostgreSQL, you should install this package in addition to the main
php package.

Alternatives

Package Version Architecture Repository
rh-php71-php-pgsql-7.1.30-2.el7.x86_64.rpm 7.1.30 x86_64 CentOS SCLo RH Testing
rh-php71-php-pgsql-7.1.30-2.el7.x86_64.rpm 7.1.30 x86_64 CentOS SCLo RH
rh-php71-php-pgsql-7.1.30-1.el7.x86_64.rpm 7.1.30 x86_64 CentOS SCLo RH
rh-php71-php-pgsql-7.1.8-1.el7.x86_64.rpm 7.1.8 x86_64 CentOS SCLo RH Testing
rh-php71-php-pgsql-7.1.8-1.el7.x86_64.rpm 7.1.8 x86_64 CentOS SCLo RH
rh-php71-php-pgsql - - -

Requires

Name Value
libc.so.6(GLIBC_2.4)(64bit) -
libpq.so.5()(64bit) -
rh-php71-php-pdo(x86-64) = 7.1.30-1.el7
rtld(GNU_HASH) -

Provides

Name Value
rh-php71-php-pdo_pgsql -
rh-php71-php-pdo_pgsql(x86-64) -
rh-php71-php-pgsql = 7.1.30-1.el7
rh-php71-php-pgsql(x86-64) = 7.1.30-1.el7
rh-php71-php_database -

Download

Type URL
Mirror buildlogs.centos.org
Binary Package rh-php71-php-pgsql-7.1.30-1.el7.x86_64.rpm
Source Package rh-php71-php-7.1.30-1.el7.src.rpm

Install Howto

  1. Install CentOS SCLo RH Testing repository:
    yum install centos-release-scl-rh
  2. Install rh-php71-php-pgsql rpm package:
    # yum --enablerepo=centos-sclo-rh-testing install rh-php71-php-pgsql

Files

Path
/etc/opt/rh/rh-php71/php.d/20-pgsql.ini
/etc/opt/rh/rh-php71/php.d/30-pdo_pgsql.ini
/opt/rh/rh-php71/register.content/etc/opt/rh/rh-php71/php.d/20-pgsql.ini
/opt/rh/rh-php71/register.content/etc/opt/rh/rh-php71/php.d/30-pdo_pgsql.ini
/opt/rh/rh-php71/root/usr/lib64/php/modules/pdo_pgsql.so
/opt/rh/rh-php71/root/usr/lib64/php/modules/pgsql.so

Changelog

2019-07-10 - Remi Collet <rcollet@redhat.com> - 7.1.30-1
- rebase to 7.1.30 #1631672
2017-08-08 - Remi Collet <rcollet@redhat.com> - 7.1.8-1
- rebase to 7.1.8 #1465319
- drop upstream oniguruma patch
2017-06-08 - Remi Collet <rcollet@redhat.com> - 7.1.6-1
- rebase to 7.1.6
2017-06-02 - Remi Collet <rcollet@redhat.com> - 7.1.5-2
- fix License, timelib is MIT
- add upstream security patches for oniguruma CVE-2017-9224,
CVE-2017-9226, CVE-2017-9227, CVE-2017-9228, CVE-2017-9229
2017-06-01 - Remi Collet <rcollet@redhat.com> - 7.1.5-1
- update to 7.1.5 for rh-php71 in rhscl 3.0
2016-11-02 - Remi Collet <rcollet@redhat.com> - 7.0.10-2
- fix definition of php_* macros #1390885
2016-09-06 - Remi Collet <rcollet@redhat.com> - 7.0.10-1
- rebase to 7.0.10 #1365397
- fix default include_path
2016-07-21 - Remi Collet <rcollet@redhat.com> - 7.0.9-1
- update to 7.0.9 for RHSCL 2.3
2016-02-15 - Remi Collet <rcollet@redhat.com> - 5.6.5-8
- Phar: fix segmentation fault in Phar::convertToData on
invalid file CVE-2015-5589
- Phar: fix buffer overflow and stack smashing error in
phar_fix_filepath CVE-2015-5590
- Phar: fix files from archive can be extracted outside of
destination directory using phar CVE-2015-6833
- Phar: NULL pointer dereference in phar_get_fp_offset()
CVE-2015-7803
- Phar: uninitialized pointer in phar_make_dirstream()
CVE-2015-7804
- Xslt: fix NULL pointer dereference in XSLTProcessor class
CVE-2015-6837 CVE-2015-6838
- Core: fix use-after-free vulnerability in session
deserializer CVE-2015-6835
- Core:  fix multiple unserialization use-after-free issues
CVE-2015-6834
- Spl: fix dangling pointer in the unserialization of
ArrayObject items CVE-2015-6832
- Spl: fix Use After Free Vulnerability in unserialize()
CVE-2015-6831
- Soap: fix type confusion in SOAP serialize_function_call()
CVE-2015-6836
2015-06-10 - Remi Collet <rcollet@redhat.com> - 5.6.5-7
- fix more functions accept paths with NUL character #1213407

See Also

Package Description
rh-php71-php-process-7.1.30-1.el7.x86_64.rpm Modules for PHP script using system process interfaces
rh-php71-php-process-7.1.30-2.el7.x86_64.rpm Modules for PHP script using system process interfaces
rh-php71-php-process-7.1.8-1.el7.x86_64.rpm Modules for PHP script using system process interfaces
rh-php71-php-pspell-7.1.30-1.el7.x86_64.rpm A module for PHP applications for using pspell interfaces
rh-php71-php-pspell-7.1.30-2.el7.x86_64.rpm A module for PHP applications for using pspell interfaces
rh-php71-php-pspell-7.1.8-1.el7.x86_64.rpm A module for PHP applications for using pspell interfaces
rh-php71-php-recode-7.1.30-1.el7.x86_64.rpm A module for PHP applications for using the recode library
rh-php71-php-recode-7.1.30-2.el7.x86_64.rpm A module for PHP applications for using the recode library
rh-php71-php-recode-7.1.8-1.el7.x86_64.rpm A module for PHP applications for using the recode library
rh-php71-php-snmp-7.1.30-1.el7.x86_64.rpm A module for PHP applications that query SNMP-managed devices
rh-php71-php-snmp-7.1.30-2.el7.x86_64.rpm A module for PHP applications that query SNMP-managed devices
rh-php71-php-snmp-7.1.8-1.el7.x86_64.rpm A module for PHP applications that query SNMP-managed devices
rh-php71-php-soap-7.1.30-1.el7.x86_64.rpm A module for PHP applications that use the SOAP protocol
rh-php71-php-soap-7.1.30-2.el7.x86_64.rpm A module for PHP applications that use the SOAP protocol
rh-php71-php-soap-7.1.8-1.el7.x86_64.rpm A module for PHP applications that use the SOAP protocol
Advertisement
Advertisement